log4shib::NDC::DiagnosticContext(3)

NAME
log4shib::NDC::DiagnosticContext

SYNOPSIS

#include <NDC.hh>

  Public Member Functions
DiagnosticContext (const std::string &message)
DiagnosticContext (const std::string &message, const DiagnosticContext &parent)

  Public Attributes
std::string message
std::string fullMessage

Constructor & Destructor Documentation

  log4shib::NDC::DiagnosticContext::DiagnosticContext (const std::string & message)

  log4shib::NDC::DiagnosticContext::DiagnosticContext (const std::string & message, const DiagnosticContext & parent)

Member Data Documentation

  std::string log4shib::NDC::DiagnosticContext::fullMessage

  std::string log4shib::NDC::DiagnosticContext::message

Author

Generated automatically by Doxygen for log4shib from the source code.